javax.batch.api.chunk.listener

## Interface ChunkListener

All Known Implementing Classes:
  AbstractChunkListener

    public interface ChunkListener

ChunkListener intercepts chunk processing.

### Method Summary

Methods
`void` `afterChunk()` The afterChunk method receives control after processing of the current chunk ends.
`void` `beforeChunk()` The beforeChunk method receives control before processing of the next chunk begins.
`void` `onError(Exception ex)` The onError method receives control before the chunk transaction is rolled back.

### Method Detail

#### beforeChunk

    void beforeChunk()
                     throws Exception

The beforeChunk method receives control before processing of the next chunk begins. This method is invoked in the same transaction as the chunk processing.

Throws:
  `Exception` - throw if an error occurs.

#### onError

    void onError(Exception ex)
                 throws Exception

The onError method receives control before the chunk transaction is rolled back. Note afterChunk is not invoked in this case.

Parameters:
  `ex` - specifies the exception that caused the roll back.
Throws:
  `Exception` - throw if an error occurs.

#### afterChunk

    void afterChunk()
                    throws Exception

The afterChunk method receives control after processing of the current chunk ends. This method is invoked in the same transaction as the chunk processing.

Throws:
  `Exception` - throw if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0